#uses "fwRDBArchiver/fwRDBArchiver.ctl"

main() {

  int err;
  dyn_string exceptionInfo = makeDynString();

  fwInstallation_setComponentInstallationStatus("fwRDBConfigurator", true);

  file f;
  int err; 
  
  dyn_string credentials = makeDynString();

  f = fopen(getPath(CONFIG_REL_PATH, "credentials"), "r");

  fscanf (f,"%s",credentials[1]);  
  fscanf (f,"%s",credentials[2]);  
  fscanf (f,"%s",credentials[3]);  
 
  fclose(f);  

  //Configure for RDB
  err = fwRDBArchiver_convertToOracle(credentials[1], credentials[2], credentials[3], exceptionInfo);
  if(err < 0) {
    DebugTN("********** ERROR during the update of the WinCC OA project to support RDB Archiving: Contact IceControls.Support@cern.ch");
    DebugTN("fwRDBParallelConfigurator - ERROR: " + exceptionInfo);
    return -1; // fwInstallationTool only understand -1 as an error code.
  }


  err = fwRDBArchiver_compareAndCompleteArchiveGroups(exceptionInfo);
  if(err < 0)
  {
    DebugTN("********** ERROR during the update of the WinCC OA project to support RDB Archiving: Contact IceControls.Support@cern.ch");
    DebugTN("fwRDBParallelConfigurator - ERROR: " + exceptionInfo);
    return -1; // fwInstallationTool only understand -1 as an error code.
  }

  // Need to be start manualy, otherwise, some errors appears: Could not find a valid Archive Set in DB for DP: System1:Test. with ELement_Id: 0.000000 - won't WRITE
  // err = fwRDBArchiver_restartRDB(exceptionInfo);
  // if(err < 0)
  // {
  //   DebugTN("********** ERROR during the update of the WinCC OA project to support RDB Archiving: Contact IceControls.Support@cern.ch");
  //   DebugTN("fwRDBParallelConfigurator - ERROR: " + exceptionInfo);
  //   return -1; // fwInstallationTool only understand -1 as an error code.
  // }

  return 0;  
}
